(Single task) Lockscreen redesigns
Closed, ResolvedPublic

Description

From this bugreport https://bugs.kde.org/show_bug.cgi?id=336369

The need for a way to put a laptop back to sleep means adding options in lockscreen - the question is placement of those elements so that it fits into the general theme of Grub-to-shutdown. Mockups and suggested pattern needed.

(this task is a good entry task for new people)

abetts added a subscriber: abetts.EditedAug 9 2017, 4:37 AM

Can you detail what elements exactly you need on the screen? That way we can determine how we want to present them and then space them. @aaronhoneycutt

So on my screen (Laptop) only has Switch User.

Switch User - Sleep/Hib - Shutdown

That would be a good start.

abetts added a comment.Aug 9 2017, 4:54 AM

@jensreuterberg Do we want to move forward with this request? Can you please share a use case in which these extra options might be useful?

abetts added a subscriber: ngraham.Dec 14 2017, 5:05 AM

@ngraham Do we want to push something like this forward?

If you're using a laptop, you should just be able to close the lid and have it suspend again. If it doesn't do that (as indicated in the ticket), then that's a bug that should be fixed--and we need a new bug report tracking that--no need for a dedicated button. If you're on a desktop, then a "Suspend" button makes sense to me since there's no other way to suspend.

I second this feature.

If you're using a laptop, you should just be able to close the lid and have it suspend again. If it doesn't do that (as indicated in the ticket), then that's a bug that should be fixed--and we need a new bug report tracking that--no need for a dedicated button. If you're on a desktop, then a "Suspend" button makes sense to me since there's no other way to suspend.

  1. I may have configured the "close laptop lid" action to something different than suspend in the power management options.
  2. I may not want to actually close the lid (like when I have the notebook docked)
  3. Following 1 the lid may be already closed (again when the notebook is docked and an external monitor is present)

Use case:

  • Screen auto-locks after X minutes of inactivity
  • I leave the PC and it locks
  • I come back and for whatever reason I need to suspend the notebook
  • If 1,2 or 3 is true, I need to type the password for suspending the notebook

This happens to me all the time.

Then we could have auto-suspend-on-lid-close only happen when the machine isn't docked and you haven't configured "close laptop lid" to do something else. Let's not forget the common case among all the specialized ones.

Then we could have auto-suspend-on-lid-close only happen when the machine isn't docked and you haven't configured "close laptop lid" to do something else. Let's not forget the common case among all the specialized ones.

I don't understand how this can solve the problem of being unable to suspend from the lock screen without having to use the laptop lid.
And as you said, the problem is still present in desktop PC.

Moreover the login screen already has those buttons

while the lock screen doesn't

Adding the buttons, for me, would just improve the coherence among the two components (and for sure the space is not lacking).

I see your point. But is "being unable to suspend from the lock screen without having to use the laptop lid" actually a problem, if we handle all the corner cases (e.g docked)?

I see your point. But is "being unable to suspend from the lock screen without having to use the laptop lid" actually a problem, if we handle all the corner cases (e.g docked)?

Probably not. But again that won't solve the problem for desktop.

You could also use the power button instead of the lid, but in both cases you need to override some user settings in power management, given that both actions are fully configurable by the user (also per activity). To me seems complicated managing all these possibility.

Nonetheless, if you propose a solution we can discuss on it.

ngraham closed this task as Resolved.Apr 29 2018, 9:29 PM
ngraham claimed this task.

I think this can be considered done with the latest lock screen changes. Let's continue the discussion about visibility of the the suspend etc buttons in https://bugs.kde.org/show_bug.cgi?id=336369